import pprint
import requests


def test_link(conn, user):
    name_id = user['name_id']
    url = conn + '/link?NameID=%s' % name_id
    payload = {
        'IDDUI': user['dui'],
        'NOM': user['last_name'],
        'PRENOM': user['first_name'],
        'NAISSANCE': user['dob'],
    }
    print("Creating link with the following payload:")
    pprint.pprint(payload)
    resp = requests.post(url, json=payload)
    resp.raise_for_status()
    res = resp.json()
    assert res['err'] == 0
    pprint.pprint(res)
    print('\n')

    print("GET family info")
    url = conn + '/family_info?NameID=%s' % name_id
    resp = requests.get(url)
    resp.raise_for_status()
    res = resp.json()
    assert res['err'] == 0
    pprint.pprint(res)
    print('\n')

    data = res
    for child in data['data']['ENFANT']:
        print("GET child info")
        url = conn + '/child_info?NameID=%s&idpersonne=%s' % (name_id, child['IDPERSONNE'])
        resp = requests.get(url)
        resp.raise_for_status()
        res = resp.json()
        assert res['err'] == 0
        pprint.pprint(res)
        print('\n')

    print("Get invoices")
    url = conn + '/invoices?NameID=%s' % name_id
    resp = requests.get(url)
    resp.raise_for_status()
    res = resp.json()
    assert res['err'] == 0
    pprint.pprint(res)
    print('\n')

    data = res
    for invoice in data['data']:
        print("GET invoice info")
        url = conn + '/invoice/%s?NameID=%s' % (invoice['id'], name_id)
        resp = requests.get(url)
        resp.raise_for_status()
        res = resp.json()
        assert res['err'] == 0
        pprint.pprint(res)
        print('\n')

        if res['data']['has_pdf']:
            print("GET invoice PDF")
            url = conn + '/invoice/%s/pdf?NameID=%s' % (invoice['id'], name_id)
            resp = requests.get(url)
            resp.raise_for_status()
            print('\n')

    print("Deleting link")
    url = conn + '/unlink?NameID=%s' % name_id
    resp = requests.post(url)
    resp.raise_for_status()
    res = resp.json()
    assert res['err'] == 0
    pprint.pprint(res)
    print('\n')
