import json
import sys

from django.core.management.base import BaseCommand

from passerelle.utils import export_site


class Command(BaseCommand):
    help = 'Export the site'

    def add_arguments(self, parser):
        parser.add_argument('--output', metavar='FILE', default=None,
                            help='name of a file to write output to')

    def handle(self, *args, **options):
        if options['output']:
            output = open(options['output'], 'w')
        else:
            output = sys.stdout
        json.dump(export_site(), output, indent=4)
