import requests
from zeep.plugins import Plugin

from passerelle.utils.soap import SOAPClient


WSDL = 'tests/data/soap.wsdl'


class FooPlugin(Plugin):
    pass


class BarPlugin(Plugin):
    pass


class SOAPResource(object):

    def __init__(self):
        self.requests = requests.Session()
        self.wsdl_url = WSDL


def test_soap_client():
    soap_resource = SOAPResource()
    plugins = [FooPlugin, BarPlugin]
    client = SOAPClient(soap_resource, plugins=plugins)
    assert client.wsdl.location.endswith(WSDL)
    assert client.transport.session == soap_resource.requests
    assert client.transport.cache
    assert client.plugins == plugins
